#ifndef OSM_TYPEDEFS_H
#define OSM_TYPEDEFS_H

typedef struct osm_design_s osm_design_t;
typedef struct osm_layer_s osm_layer_t;
typedef struct osm_history_s osm_history_t;
typedef struct osm_style_s osm_style_t;

typedef union osm_any_obj_u osm_any_obj_t;
typedef struct osm_node_s osm_node_t;
typedef struct osm_way_s  osm_way_t;
typedef struct osm_relation_s osm_relation_t;

typedef struct osm_changeset_s osm_changeset_t;


typedef enum osm_objtype_e {
	OSM_OBJ_invalid = -1,
	OSM_OBJ_NODE = 0,           /* used for indexing id2obj */
	OSM_OBJ_WAY,
	OSM_OBJ_RELATION,
	OSM_OBJ_max,

	/* virtual objects - can not be on a layer but may be in history */
	OSM_OBJ_CHANGESET = OSM_OBJ_max,
	OSM_OBJ_vmax
} osm_objtype_t;

typedef enum osm_objtype_mask_e {
	OSM_MASK_invalid = 0,
	OSM_MASK_NODE          = 1 << OSM_OBJ_NODE,
	OSM_MASK_WAY           = 1 << OSM_OBJ_WAY,
	OSM_MASK_RELATION      = 1 << OSM_OBJ_RELATION
} osm_objtype_mask_t;

#endif
