/*
 *                            COPYRIGHT
 *
 *  osm-rnd - OpenStreetMap editor/viewer
 *  Copyright (C) 2023 Tibor 'Igor2' Palinkas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Contact:
 *    Project page: http://repo.hu/projects/osm-rnd
 *    lead developer: http://repo.hu/projects/osm-rnd/contact.html
 *    mailing list: (not yet)
 */

#ifndef OSM_SELECT_H
#define OSM_SELECT_H

void osm_select_click(osm_layer_t *ly, rnd_coord_t x, rnd_coord_t y);
void osm_select_box(osm_layer_t *ly, rnd_coord_t x1, rnd_coord_t y1, rnd_coord_t x2, rnd_coord_t y2);

typedef enum osm_select_all_type_e { /* bitfield */
	OSM_SELAT_FRESH = 1
} osm_select_all_type_t;

void osm_select_all_mask(osm_layer_t *ly, osm_objtype_mask_t mask, osm_select_all_type_t restrictions);


void osm_obj_select(osm_any_obj_t *o);
void osm_obj_unselect(osm_any_obj_t *o);

#endif
