/*
 *                            COPYRIGHT
 *
 *  osm-rnd - OpenStreetMap editor/viewer - Presets for tagging
 *  Copyright (C) 2024 Tibor 'Igor2' Palinkas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Contact:
 *    Project page: http://repo.hu/projects/osm-rnd
 *    lead developer: http://repo.hu/projects/osm-rnd/contact.html
 *    mailing list: (not yet)
 */

#include "config.h"
#include <math.h>
#include <genlist/gendlist.h>
#include <librnd/config.h>
#include <librnd/core/actions.h>
#include <librnd/core/rotate.h>
#include <librnd/hid/hid.h>

#include "presets_sphash.h"

#include "data.h"
#include "search.h"
#include "obj_any.h"

static const char presets_cookie[] = "presets";

/*** Implementation ***/

#include "load.c"
#include "dlg.c"

static rnd_action_t presets_action_list[] = {
	{"presets", osm_act_Presets, osm_acth_Presets, osm_acts_Presets}
};

int pplg_check_ver_presets(int ver_needed) { return 0; }

void pplg_uninit_presets(void)
{
	rnd_remove_actions_by_cookie(presets_cookie);
	presets_unload();
}

int pplg_init_presets(void)
{
	RND_REGISTER_ACTIONS(presets_action_list, presets_cookie);
	return 0;
}
