/*
 *                            COPYRIGHT
 *
 *  osm-rnd - OpenStreetMap editor/viewer - standard tools
 *  Copyright (C) 2023,2024 Tibor 'Igor2' Palinkas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Contact:
 *    Project page: http://repo.hu/projects/osm-rnd
 *    lead developer: http://repo.hu/projects/osm-rnd/contact.html
 *    mailing list: (not yet)
 */

#include <librnd/config.h>

#include <string.h>

#include <librnd/core/global_typedefs.h>
#include <librnd/core/hidlib.h>
#include <librnd/hid/tool.h>

static const char std_tools_cookie[] = "std_tools";

#include "tool_mline.c"
#include "tool_movecopy.c"
#include "tool_arrow.c"
#include "tool_node.c"
#include "tool_way.c"
#include "tool_remove.c"
#include "tool_split.c"
#include "tool_img_align.c"
#include "tool_buffer.c"

int pplg_check_ver_std_tools(int ver_needed) { return 0; }

void pplg_uninit_std_tools(void)
{
}

int pplg_init_std_tools(void)
{
	rnd_tool_reg(&osm_rnd_tool_arrow, std_tools_cookie);
	rnd_tool_reg(&osm_rnd_tool_mline, std_tools_cookie);
	rnd_tool_reg(&osm_rnd_tool_move, std_tools_cookie);
	rnd_tool_reg(&osm_rnd_tool_copy, std_tools_cookie);
	rnd_tool_reg(&osm_rnd_tool_node, std_tools_cookie);
	rnd_tool_reg(&osm_rnd_tool_way, std_tools_cookie);
	rnd_tool_reg(&osm_rnd_tool_remove, std_tools_cookie);
	rnd_tool_reg(&osm_rnd_tool_split, std_tools_cookie);
	rnd_tool_reg(&osm_rnd_tool_img_align, std_tools_cookie);
	rnd_tool_reg(&osm_rnd_tool_buffer, std_tools_cookie);

	return 0;
}
